Bug 619887 - amount of arguments for 'device' options in installation guide are incorrect
amount of arguments for 'device' options in installation guide are incorrect
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Installation_Guide (Show other bugs)
6.1
All Linux
low Severity low
: rc
: ---
Assigned To: Ruediger Landmann
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-30 15:15 EDT by pob
Modified: 2010-11-11 10:34 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 10:34:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description pob 2010-07-30 15:15:15 EDT
Description of problem:
the arguments given in the documentation for the 'device' option are incorrect.

Version-Release number of selected component (if applicable):


How reproducible:
http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6-Beta/html/Installation_Guide/s1-kickstart2-options.html

Steps to Reproduce:
1. go to http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6-Beta/html/Installation_Guide/s1-kickstart2-options.html
2. find the 'device' section
3. enter into your kickstart file 'device scsi cciss' (for example)
4. installer bails, saying there are too many arguments as 'device' only accepts one argument.
  
Actual results:
installer bails

Expected results:
installer succeeds

Additional info:
Comment 3 Ruediger Landmann 2010-08-08 16:00:08 EDT
Thanks for the catch pob -- only the module name is expected now; <type> parameter removed

Fixed in build 0-85
Comment 4 Andrew Ross 2010-08-09 17:58:28 EDT
Checking: Red_Hat_Enterprise_Linux-Installation_Guide-6-web-en-US-0-85.el5

Example is fine, but explanation of options still includes:

"<type> — Replace with either scsi or eth. "
Comment 5 Ruediger Landmann 2010-08-15 21:10:52 EDT
Thanks for the catch Andrew

Fixed in build 0-86
Comment 6 Andrew Ross 2010-08-17 16:41:46 EDT
Verified: Red_Hat_Enterprise_Linux-Installation_Guide-6-web-en-US-0-87.el5
Comment 7 releng-rhel@redhat.com 2010-11-11 10:34:50 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.